#include <iostream>
#include <iomanip>
#include <ctime>
#include <cmath>
#include "myrn.h"	//     乱数生成用クラス型 WHrn のヘッダーファイル

using namespace std;
using namespace myrn;

int main()
{
	cout << "The program started." << endl;

	WHrn rn;

	time_t t0;
	time(&t0);
	for (double i = 0; i < 1.0e9; i += 1.0){
				rn.uni();
              }
	time_t t1;
	time(&t1);
	cout << t1 - t0 << "sec elapsed." << endl;
	cout << "It will take about " << fixed << setprecision(2) 
		<< ((t1 - t0) * pow(10.0, 12) / (1.0e9 * 60.0 * 60.0)) 
		<< " hours to call uni() 10**12 times." << endl; 

	return 0;
}
